%define name	smilutils
%define version	0.3.2
%define release %mkrel 20070731.6

%define major	0
%define libname %mklibname kinoextensions %major

Name: 	 	%{name}
Summary: 	Command line tools for Kino's SMIL video format
Version: 	%{version}
Release: 	%{release}
Source:		%{name}-20070731.tar.bz2
Patch0:		smilutils-gcc4.3.patch
Patch1:		smilutils-gnome-stubs.patch
Patch2:		smilutils-module-link.patch
Patch3:		smilutils-0.3.2-automake-1.13.patch
URL:		http://sf.net/projects/kino
License:	GPL
Group:		Video/Utilities
BuildRequires:	autoconf
BuildRequires:	libdv-devel quicktime-devel libxml2-devel
BuildRequires:	SDL-devel libgdk_pixbuf2.0-devel 

%description
SMIL is the file format kino uses to save projects. Here are a collection of
command line tools for SMIL manipulation.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Obsoletes:	%{libname}-devel

%description -n %{libname}
Dynamic libraries from %name.

%prep
%setup -q -n %name
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1 -b .automake-1_13

sed -i -e 's,AM_LDFLAGS =,LIBS = ../../extensions/libkinoextensions.la,' apps/*/Makefile.am

sed -i -e 's,$(prefix)/lib,%{_libdir},' libkino/Makefile.am extensions/Makefile.am

%build
./autogen.sh
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %buildroot -name *.la |xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
%{_mandir}/man1/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/kino/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.3.2-20070731.6.mga3
+ Revision: 382202
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0.3.2-20070731.5.mga3
+ Revision: 339789
- update rpm group for current policy
- patch3: fix build with automake 1.13

* Sun Jul 31 2011 fwang <fwang> 0.3.2-20070731.4.mga2
+ Revision: 130881
- use sed rather than chrpath
- br chrpath
- fix linkage

* Sat Mar 19 2011 ennael <ennael> 0.3.2-20070731.3.mga1
+ Revision: 74545
- fix patch
- fix gnome-stubs
- imported package smilutils

